---
title: WorkerGlobalScope.self
slug: Web/API/WorkerGlobalScope/self
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
  - self
---
<div>{{APIRef("Web Workers API")}}</div>

<p>The <code><strong>self</strong></code> read-only property of the {{domxref("WorkerGlobalScope")}} interface returns a reference to the <code>WorkerGlobalScope</code> itself. Most of the time it is a specific scope like {{domxref("DedicatedWorkerGlobalScope")}},  {{domxref("SharedWorkerGlobalScope")}}, or {{domxref("ServiceWorkerGlobalScope")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var selfRef = self;</pre>

<h3 id="Value">Value</h3>

<p>A global scope object (differs depending on the type of worker you are dealing with, as indicated above).</p>

<h2 id="Example">Example</h2>

<p>If you called</p>

<pre class="brush: js">console.log(self);</pre>

<p>inside a worker, you will get a worker global scope of the same type as that worker object written to the console — something like the following:</p>

<pre class="brush: js">DedicatedWorkerGlobalScope {
undefined: undefined, Infinity: Infinity, Math: MathConstructor, NaN: NaN, Intl: Object…}
    Infinity: Infinity
    Array: function Array() { [native code] }
      arguments: null
      caller: null
      isArray: function isArray() { [native code] }
      length: 1
      name: "Array"
      observe: function observe() { [native code] }
      prototype: Array[0]
      unobserve: function unobserve() { [native code] }
      __proto__: function Empty() {}
      &lt;function scope&gt;
    ArrayBuffer: function ArrayBuffer() { [native code] }
    Blob: function Blob() { [native code] }
    Boolean: function Boolean() { [native code] }
    DataView: function DataView() { [native code] }
    Date: function Date() { [native code] }
    DedicatedWorkerGlobalScope: function DedicatedWorkerGlobalScope() { [native code] }
    Error: function Error() { [native code] }
<em>// etc. etc.</em>
</pre>

<p>This provides a full list of the objects available to that worker scope, so it is quite a useful test if you want to see whether something is available to your worker or not. We also maintain a list of <a href="/en-US/docs/Web/API/Worker/Functions_and_classes_available_to_workers">Functions and classes available to Web Workers</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-workerglobalscope-self', 'self')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>


<p>{{Compat("api.WorkerGlobalScope.self")}}</p>


<h2 id="See_also">See also</h2>

<p>{{domxref("WorkerGlobalScope")}}</p>
